curl --request GET \
--url https://api.sandbox.cheqpay.mx/pos/v1/plans/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-merchant-id: <api-key>'import requests
url = "https://api.sandbox.cheqpay.mx/pos/v1/plans/{id}"
headers = {
"x-api-key": "<api-key>",
"x-merchant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-merchant-id': '<api-key>'}
};
fetch('https://api.sandbox.cheqpay.mx/pos/v1/plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"merchantId": "merchant_123",
"name": "Monthly Premium Plan",
"amount": "9900",
"currency": "MXN",
"interval": "MONTH",
"intervalCount": 1,
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z",
"externalId": "PLAN-MONTHLY-001",
"description": "Premium subscription with all features included",
"trialDays": 14,
"metadata": {}
}{
"message": "Invalid api key"
}{
"message": "Merchant not found"
}{
"message": "Error message"
}Get a subscription plan by ID
Retrieves a specific subscription plan by its unique identifier.
Authorizations
API key for authentication (required)
Merchant ID for identifying the merchant (required)
Path Parameters
Subscription plan unique identifier
Response
Subscription plan retrieved successfully
Unique plan identifier
"123e4567-e89b-12d3-a456-426614174000"
Merchant identifier
"merchant_123"
Plan name
"Monthly Premium Plan"
Amount in smallest currency unit (string representation of BigInt)
"9900"
Currency code
"MXN"
Billing interval
DAY, WEEK, MONTH, YEAR "MONTH"
Number of intervals between billings
1
Whether the plan is active
true
Creation timestamp
"2025-01-15T10:00:00.000Z"
Last update timestamp
"2025-01-15T10:00:00.000Z"
External plan ID from merchant system
"PLAN-MONTHLY-001"
Plan description
"Premium subscription with all features included"
Number of trial days
14
Additional metadata